.products-color-switch .available-color .nice-select{
    float: none;
    display: inline-block;
}

.products-color-switch .available-color a.active{
    border: 2px solid #000;
}

.btn-loading {
    color: transparent !important;
    position: relative
}

.btn-loading:after {
    content: " ";
    display: block;
    width: 20px;
    height: 20px;
    margin: 8px;
    border-radius: 50%;
    border: 4px solid #fff;
    border-color: #fff transparent #fff transparent;
    animation: btn-loading 1.2s linear infinite;

    position: absolute;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
}

@keyframes btn-loading {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

.twitter-typeahead {
    width: 100%;
}

.tt-menu {
    padding: 10px;
    background: #fff;
    border-radius: 10px;
    box-shadow: rgb(0 0 0 / 15%) 1.95px 1.95px 2.6px;
}

.tt-suggestion.tt-selectable {
    padding: 5px 3px;
    border-bottom: 1px solid #ccc;
    cursor: pointer;
    transition: all ease-in-out .5s;
}

.tt-suggestion.tt-selectable:hover {
    background-color: #ddd;
}

.tt-suggestion.tt-selectable:last-of-type {
    border-bottom: none;
}

.whatsapp-button {
    position: fixed;
    bottom: 15px;
    width: 100%;
    text-align: center;
    z-index: 3;
    padding: 5px;
}

.whatsapp-button > div {
    background-color: #fff;
    border-radius: 50px;
    width: 70%;
    display: inline-block;
    padding: 3px;
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
}

.whatsapp-button img {
    width: 42px;
}